(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
  typeof define === 'function' && define.amd ? define(factory) :
  (global.VueSetState = factory());
}(this, (function () { 'use strict';

var index = function (Vue) {
  Vue.prototype.setState = function (obj, cb) {
    var this$1 = this;

    var newState = typeof obj === 'function' ?
      obj(this.state, this.props) :
      obj;

    this.$nextTick(function () {
      for (var key in newState) { // eslint-disable-line guard-for-in
        this$1[key] = newState[key];
      }
      cb && cb();
    });
  };

  Object.defineProperties(Vue.prototype, {
    state: {
      get: function get() {
        return this.$data
      }
    },
    props: {
      get: function get() {
        return this.$props
      }
    }
  });
};

return index;

})));
